

import 'package:google_applovin_unity_ads/open/app_background_event_notifier.dart';
import 'package:google_applovin_unity_ads/open/open_ad.dart';

/// Listens for app foreground events and shows app open ads.
class AppLifecycleReactor {
  final OpenAd appOpenAdManager;

  AppLifecycleReactor({required this.appOpenAdManager});

  void listenToAppStateChanges() {
    AppStateEventNotifier.startListening();
    AppStateEventNotifier.appStateStream
        .forEach((state) => _onAppStateChanged(state));
  }

  void _onAppStateChanged(AppState appState) {
    print('New AppState state: $appState');
    if (appState == AppState.foreground) {
      appOpenAdManager.show();
    }
  }
}